Support » Plugin: Internal Link Building » Depreciation error

  • benjamindemers

    (@benjamindemers)


    Hello,

    I recently installed your plugin, which I love by the way, but it has a depreciation error that has shown up with the latest WordPress update.

    Here is the error:

    Notice: has_cap was called with an argument that is deprecated since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /home/iammarketing/public_html/blog/wp-includes/functions.php on line 4652

    This function is called from YOUR code at line 491 in internal_link_building.php:

    static function menu() {

    add_options_page(‘Internal linking’, ‘Internal linking’, 8, __FILE__,’internal_link_building_admin’);

    }

    Apparently after Googling this for a bit it is the integer 8 that is the problem and must be changed to something compatible with capabilities instead of user levels.

    Please contact me back about this. I would hate to have to delete the plugin, it is so cool!

    Thank you,

    Benjamin De Mers

    P.S. you can also tell me what to do or give me the code to cut and paste into the file and I will do it. I just don’t know your plugin and don’t want to screw up my site trying to debug it on my site.

  • You must be logged in to reply to this topic.